Subject: Re: [PATCH v4 01/10] Add auxiliary bus support

From: Leon Romanovsky <[email-masked]>
Date: Tue, 17 Nov 2020 09:16:41 +0200

On Tue, Nov 17, 2020 at 08:02:53AM +0100, Greg KH wrote:
> On Tue, Nov 17, 2020 at 07:30:00AM +0200, Leon Romanovsky wrote:
> > On Fri, Nov 13, 2020 at 08:18:50AM -0800, Dave Ertman wrote:
> > > Add support for the Auxiliary Bus, auxiliary_device and auxiliary_driver.
> > > It enables drivers to create an auxiliary_device and bind an
> > > auxiliary_driver to it.
> > >
> > > The bus supports probe/remove shutdown and suspend/resume callbacks.
> > > Each auxiliary_device has a unique string based id; driver binds to
> > > an auxiliary_device based on this id through the bus.
> > >
> > > Co-developed-by: Kiran Patil <[email-masked]>
> > > Signed-off-by: Kiran Patil <[email-masked]>
> > > Co-developed-by: Ranjani Sridharan <[email-masked]>
> > > Signed-off-by: Ranjani Sridharan <[email-masked]>
> > > Co-developed-by: Fred Oh <[email-masked]>
> > > Signed-off-by: Fred Oh <[email-masked]>
> > > Co-developed-by: Leon Romanovsky <[email-masked]>
> > > Signed-off-by: Leon Romanovsky <[email-masked]>
> > > Reviewed-by: Pierre-Louis Bossart <[email-masked]>
> > > Reviewed-by: Shiraz Saleem <[email-masked]>
> > > Reviewed-by: Parav Pandit <[email-masked]>
> > > Reviewed-by: Dan Williams <[email-masked]>
> > > Signed-off-by: Dave Ertman <[email-masked]>
> > > ---
> >
> > Greg,
> >
> > This horse was beaten to death, can we please progress with this patch?
> > Create special topic branch or ack so I'll prepare this branch.
> >
> > We are in -rc4 now and we (Mellanox) can't hold our submissions anymore.
> > My mlx5_core probe patches [1] were too intrusive and they are ready to
> > be merged, Parav's patches got positive review as well [2] and will be
> > taken next.
> >
> > We delayed and have in our internal queues the patches for VDPA, eswitch
> > and followup for mlx5_core probe rework, but trapped due to this AUX bus
> > patch.
>
> There are no deadlines for kernel patches here, sorry.  Give me some
> time to properly review this, core kernel changes should not be rushed.

And here comes the difference between our views, from my POV it is not
core kernel change that must to be done perfectly from the beginning,
but change that will need to be improved/extended over time once more
users will come.

>
> Also, if you really want to blame someone for the delay, look at the
> patch submitters, not the reviewers, as they are the ones that took a
> very long time with this over the lifecycle of this patchset, not me.  I
> have provided many "instant" reviews of this patchset, and then months
> went by between updates from them.

I'm not blaming anyone and especially you. It is just unfair that I
found myself in the middle of this disaster while care enough to remind
about the series.

Thanks

> greg k-h